/**
* Some button reset CSS taken from Normalize
*/

#to-do__main-container button,
#to-do__main-container input,
#to-do__main-container optgroup,
#to-do__main-container select,
#to-do__main-container textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
  background-color: transparent;
  border: none;
  border-radius: 0px;
}

#to-do__main-container button,
#to-do__main-container input {
  overflow: visible;
}

#to-do__main-container button,
#to-do__main-container select {
  text-transform: none;
}

#to-do__main-container button,
[type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button;
}

#to-do__main-container h1,
#to-do__main-container h2,
#to-do__main-container h3,
#to-do__main-container h4,
#to-do__main-container h5,
#to-do__main-container h6,
#to-do__main-container p,
#to-do__main-container a,
#to-do__main-container ul,
#to-do__main-container ol {
    font-family: "open sans", sans-serif;
    color: black;
}

.to-do__container {
    display: block;
    box-sizing: border-box;
    max-width: 600px;
    min-width: 200px;
    padding: 20px;
    background-color: white;
    border-radius: 5px;
    box-shadow: 10px 10px 10px grey;
}

/**
* List styling
*/
ul.to-do__list {
    list-style-type: none;
    padding-left: 0px;
    transition: 0.3s all;
}

ul.to-do__list li {
    transition: 0.3s all;
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}

.to-do__checkbox {
    margin-right: 10px;
}

.to-do__input {
    width: auto;
    min-width: 50px;
    max-width: 600px;
    background-color: #f5f0f0 !important;
    padding: 8px;
}

.to-do__cross,
.to-do__checkbox {
    display: flex;
    align-items: center;
}

/**
* Add item styling
*/

.to-do__add {
    display: flex;
    align-items: center;
    cursor: default;
    transition: 0.3s all;
    background-color: transparent;
    border: none;
    border-radius: 0px;
}

.to-do__add img {
    transform: translateY(-1px);
    width: 14px;
    height: 14px;
    margin-right: 7px;
}

/**
* Animations to use for removing elements.
*/

.remove-animation {
    transform: translateX(-30px);
    opacity: 0;
    overflow: hidden;
    pointer-events: none;
    transition: all 0.4s ease;
}